/* VARIABLES SASS */

$simplonColor: #d02035;
$simplonBg: #1b3549;
$grayLight   : #dfd9d9;
$grayDark    : #555252;

$FontSizeTitle: 1.9rem;
$FontSizeText : 1.2rem;
$lineHeight   : 2em;

$PaddingTitre: 0.3rem 2rem 0.3rem 3rem;

$PathRouge: polygon(101.38% -15px, 94.34% 110.41%, -0.26% 113.55%, 42px -26.57%);
$PathGray : polygon(94.28% -4px, 100.27% 110.42%, 6.26% 107.3%, -2px -5.73%);

/* BOOTSTRAP */

@import "bootstrap/scss/bootstrap.scss";

/* -------------------- CSS DESKTOP -------------------- */

/* --- GENERAL --- */

hr {
    width : 50%; 
    height: 2px;
    margin: 5rem auto;
    color : $simplonColor;
    background-color: $simplonColor; 
}

body{
    font-family: 'Pangolin', cursive;
}

/* NAVBAR */

nav {
    width: 90%;

    img {
        width : 180px;
        height: auto;
    }

    ul {
        border-bottom: 2px solid $simplonColor;
    }

    a {
        font-size : $FontSizeText;
        color     : #000000;
        transition: 150ms ease;
    }

    :hover {
        color: $simplonColor;
    }
}

/* FOOTER */

.Footer {
    width  : 100%;
    padding: 15px;
    background-color: $simplonColor;
    
    div {
        width: 33%;
    }

    a {
        margin: 5px;
        color : #FFFFFF;
        text-decoration: none;
    }
    
    a:hover {
        color: $simplonBg
    }

    svg {
        margin: 0 0.5rem;
        fill  : #FFFFFF;

        :hover {
            fill: $simplonBg;
        }
    }

    #LogoSimplon {
        width : 80px;
        height: auto;
    }
}

/* SOUS FOOTER  */

.SousFooter{
    padding: 5px;
    background-color: $simplonBg;
    
    a {
        color: #FFFFFF;
    }
}
    

/* --- PAGE ACCUEIL --- */

/* CAROUSEL */

#AccueilCarousel {
    width     : 80%;
    max-width : 900px;
    margin-top: 7rem;
    box-shadow: 3px 3px 5px $grayLight, -3px -3px 5px $grayLight;
    
    .carousel-indicators {

        li {
            background-color: #000000;
        }
    }

    img {
        width : 900px;
        height: 400px;
    }

    .carousel-caption {
        position        : absolute;
        left            : 0px;
        width           : 100%;
        padding         : 20px;
        background-color: rgb(255, 255, 255,0.9);

        p {
            width    : 80%;
            margin   : auto;
            font-size: $FontSizeText;
        }
    }
}

/* SECTION FORMATEUR */

.FormateurSection {
    width        : 80%;
    max-width    : 1100px;
    margin-top   : 10rem;
    margin-bottom: 3rem;

    #FormateurProfil {
        width: 20%;

        h6 {
            margin-top: 2rem;
            font-size : $FontSizeText;
        }

        img {
            width    : 150px;
            height   : 150px;
            clip-path: circle(50%);
        }
    }
    
    #FormateurSpeech {
        width: 60%;

        h2 {
            padding         : $PaddingTitre;
            font-size       : $FontSizeTitle;
            color           : #FFFFFF;
            clip-path       : $PathRouge;
            background-color: $simplonColor;
        }

        p {
            margin-top : 2rem;
            font-size  : $FontSizeText;
            line-height: $lineHeight;
        }
    }
}

/* SECTION ELEVE */

.EleveSection {

    width    : 80%;
    max-width: 1100px;
    padding  : 10px;
    margin   : 3rem 0;
    background-color: $grayLight;

    #EleveSpeech {
        width: 50%;

        h2 {
            font-size: $FontSizeTitle;
            color    : $simplonColor;
        }

        p {
            font-size  : $FontSizeText;
            line-height: $lineHeight;
        }

        .Style {
            color    : $grayDark;
            font-size: 1.3rem;
        }

        :nth-child(3) {
            margin-top: 1.3rem;
        }
    }

    #EleveProfil {

        img {
            width     : 270px;
            height    : 242px;
            box-shadow: 3px 3px 5px $grayDark;
        }
    }
}

#NosFormationsBtn {
    margin-bottom   : 7rem;
    color           : #FFFFFF;
    background-color: $simplonColor;
    border          : 2px solid $simplonColor;
    transition      : 400ms ease;
}

#NosFormationsBtn:hover {
    color           : $simplonColor;
    background-color: #FFFFFF;
    border          : 2px solid $simplonColor;
}

/* --- PAGE NOS FORMATIONS --- */

/* FORMATIONS */

#MainFormations {
    width    : 80%;
    max-width: 1100px;
    margin   : 10rem auto;

    .Formation {

        #ImgDev {
            width     : 380px;
            height    : 300px;
            max-height: 300px;
            background: center / cover url("../ressources/Formations/DevWeb.jpg");
        }

        #ImgData {
            width     : 380px;
            height    : 300px;
            max-height: 300px;
            background: center / cover url("../ressources/Formations/DevData.jpg");
        }

        #ImgRefuGeek {
            width     : 380px;
            height    : 300px;
            max-height: 300px;
            background: center / cover url("../ressources/Formations/RefuGeek.jpg");
        }

        div {
            width : 60%;
            margin: 0 1rem;

            h2 {
                padding      : $PaddingTitre;
                margin-bottom: 1rem;
                font-size    : $FontSizeTitle;
                color        : #FFF;
            }

            #TitreWeb {
                clip-path       : $PathRouge;
                background-color: $simplonColor;
            }

            #TitreData {
                text-align      : right;
                clip-path       : $PathGray;
                background-color: $grayDark;
            }

            #TitreRefuGeek {
                clip-path       : $PathRouge;
                background-color: $simplonColor;
            }

            p, li {
                font-size  : $FontSizeText;
                line-height: $lineHeight;
            }
        }
    }
}

/* --- PAGE NOTRE METHODE --- */

/* BANNER */

.Banner {
    width     : 100%;
    height    : 30rem;
    margin-top: 8rem;
    background: center 30% / cover url("../ressources/Methode/Banner.jpeg");
}

/* METHODE CONTENT */

.MethodeContent {
    width    : 80%;
    max-width: 1100px;
    margin   : 5rem auto;

    .MethodeTitleDesktop {
        position: absolute;
        top     : 600px;
        left    : 200px;
        width   : 500px;
    
        :nth-child(1) {
            width: 100%;
            padding         : $PaddingTitre;
            font-size       : 3rem;
            color           : #FFFFFF;
            clip-path       : polygon(60.62% -16px, 67.52% 105.95%, -1.17% 109.38%, -13px -32.82%);
            background-color: $grayDark;
        }

        :nth-child(2) {
            width: 100%;
            padding         : $PaddingTitre;
            margin-bottom   : 10rem;
            font-size       : 3rem;
            color           : #FFFFFF;
            clip-path       : polygon(56.53% -3px, 45.76% 108.93%, -1.17% 109.38%, -13px -32.82%);
            background-color: $simplonColor;
            box-shadow      : -3px 3px 5px $grayDark;
        }
    }

    .MethodeTitleMobile {
        display: none;
    }

    p {
        width      : 80%;
        margin     : 3rem auto;
        font-size  : $FontSizeText;
        line-height: $lineHeight;
    }

    #FaqAccordion {
        width: 50%;

        :focus {
            box-shadow: none;
        }

        button svg {
            transform : rotate(180deg);
            transition: 300ms ease;
        }

        button.collapsed svg {
            transform: rotate(0deg);
        }
    }
}

/* METHODE VIDEO */

.Video {
    margin-bottom: 5rem;
}

/* --- PAGE CONTACT --- */

/* CONTACT */

.Contact {
    width : 80%;
    margin: auto;

    h2 {
        padding      : $PaddingTitre;
        width        : 50%;
        margin-bottom: 4rem;
        font-size    : $FontSizeTitle;
        color        : #FFFFFF;
    }

    label {
        font-size: $FontSizeText;
    }

    .btn {
        margin: 1rem;
        color : #FFFFFF;
        background-color: $simplonColor;
    }

    .FormNewsLetter {
        margin-top: 8rem;

        h2 {
            clip-path       : $PathRouge;
            background-color: $simplonColor;
        }
    }

    .FormContact {
        margin-top: 8rem;

        h2 {
            clip-path       : $PathGray;
            background-color: $grayDark;
        }
    }

    /* MAP */

    #Localisation {
        margin: 8rem auto;

        h2 {
            width    : 50%;
            padding  : $PaddingTitre;
            font-size: $FontSizeTitle;
            color    : #FFFFFF;
            clip-path: $PathRouge;
            background-color: $simplonColor;
        }

        p {
            margin-right: 20px;
            font-size   : $FontSizeText;

            a {
                text-decoration: none;
                color: #000000;
            }
        }

        .LocalisationText {

            :nth-child(3) {
                margin-top: 3rem;
            }
        }

        #LocalisationMap {
            box-shadow: -3px 3px 5px $grayDark;
        }
    }
}

/* --- PAGE PLAN DU SITE --- */

.Plan {
    width : 80%;
    height: 70vh;
    margin: 5rem auto;
}

/* -------------------- MEDIAS QUERIES MOBILE -------------------- */

@media all and (max-width: 768px) {

    /* --- GENERAL --- */

    /* NAVBAR */

    nav {
        width: 90%;

        img {
            width : 180px;
            height: auto;
        }

        ul {
            border-bottom: 2px solid $simplonColor;
        }

        a {
            font-size : $FontSizeText;
            color     : #000000;
            transition: 150ms ease;
        }

        :hover {
            color: $simplonColor;
        }
    }

    /* FOOTER */

    .Footer {
        padding    : 10px 0 20px 0;
        line-height: 2rem;

        >:nth-child(2) {
            order: -1;
            margin-bottom: 1.5rem;
        }
        
        div {
            width: 90%;
        }
    }

    /* --- PAGE ACCUEIL MOBILE --- */

    /* CAROUSEL */

    #AccueilCarousel {
        width     : 100%;
        height    : 300px;
        margin-top: 2rem;

        img {
            height: 300px;
        }

        .carousel-caption {

            p {
                font-size: 0.9rem;
            }
        }
    }

    /* SECTION FORMATEUR */

    .FormateurSection {
        width        : 95%;
        
        #FormateurSpeech {
            width: 100%;

            h2 {
                clip-path: none;
            }
        }
    }

    .EleveSection {
    
        #EleveSpeech {
            width: 100%;
        }
    }

    /* --- PAGE NOS FORMATIONS MOBILE --- */

    /* FORMATIONS */

    #MainFormations {
        width: 100%;
        margin-top: 2rem;

        .Formation {

            #ImgDev, #ImgRefuGeek {
                width: 70%;
            }

            #ImgData {
                order: -1;
                width: 70%;
            }

            div {
                width : 90%;

                h2 {
                    margin: 1rem 0;
                }

                #TitreWeb {
                    clip-path: none;
                }

                #TitreData {
                    clip-path: none;
                }

                #TitreRefuGeek {
                    clip-path: none;
                }
            }
        }
    }

    /* --- PAGE NOTRE METHODE MOBILE --- */

    /* BANNER */

    /* METHODE CONTENT */

    .Banner {
        margin-top: 2rem;
    }

    .MethodeContent {
        width    : 95%;

        .MethodeTitleDesktop {
        
            :nth-child(1) {
                display: none;
            }

            :nth-child(2) {
                display: none;
            }
        }

        .MethodeTitleMobile {
            display: block;
            padding      : $PaddingTitre;
            margin-bottom: 1rem;
            font-size    : $FontSizeTitle;
            color        : #FFF;
            background-color: $simplonColor;
        }

        #FaqAccordion {
            width: 85%;
        }
    }

    /* --- PAGE CONTACT MOBILE --- */

    /* CONTACT */

    .Contact {
        width: 95%;

        h2 {
            width: 100%;
        }

        .FormNewsLetter {

            h2 {
                clip-path: none;
            }
        }

        .FormContact {

            h2 {
                clip-path: none;
            }
        }

        /* MAP */

        #Localisation {
            margin: 8rem auto;

            h2 {
                width    : 100%;
                clip-path: none;
            }
        }
    }
}